<?php
	function dcom_get_bib_form($configuration_url = '', $extra_params = array()) {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$html = ''; // hold the result
		$bib_global = get_option($prefix.'configuration');
		if (!is_array($bib_global)) { $bib_global = array(); }

		// If we don't override configuration url, use default
		if (empty($configuration_url) && is_array($bib_global) && array_key_exists($prefix.'configuration_url', $bib_global)) {
			$configuration_url = $bib_global[$prefix.'configuration_url'];
		}

		// Get the defaults for the subids
		$global_subs = array();
		$sub2s_mapping = array($prefix.'sub1' => 's3', $prefix.'sub2' => 's4', $prefix.'sub3' => 's5');
		foreach($sub2s_mapping AS $sub_id => $s_id) {
			if (array_key_exists($sub_id, $bib_global) && !empty($bib_global[$sub_id])) {
				$global_subs[$s_id] = $bib_global[$sub_id];
			}
		}
		// Add Globals to Local
		$extra_params = array_merge($global_subs, $extra_params);
/*
		$html .= '<div class="bib-wrapper" data-configuration="'.$configuration_url.'"'; // Open the BIB Wrapper DIV
		if (is_array($extra_params) && (sizeof($extra_params) > 0)) {
			foreach ($extra_params AS $var => $value) {
				$html .= " data-{$var}=\"{$value}\"";
			}
		}
		$html .= '> </div>'; // Close the BIB Wrapper DIV
*/
		$params = "data-configuration=\"{$configuration_url}\"";
		if (is_array($extra_params) && (sizeof($extra_params) > 0)) {
			foreach ($extra_params AS $var => $value) {
				$params .= " data-{$var}=\"{$value}\"";
			}
		}
		$enabled_verticals = dcom_bib_get_enabled_verticles();
		$vertical_options = '<option selected="selected" disabled value="-1">Select...</option>';
		if (array_key_exists(106, $enabled_verticals)) $vertical_options .= '<option value="106" label="'.__('Credit Card Debt', 'dcom_bib').'">Credit Card Debt</option>';
		if (array_key_exists(108, $enabled_verticals)) $vertical_options .= '<option value="108" label="'.__('Credit Repair', 'dcom_bib').'">Credit Repair</option>';
		if (array_key_exists(109, $enabled_verticals)) $vertical_options .= '<option value="109" label="'.__('Student Loan Debt', 'dcom_bib').'">Student Loan Debt</option>';
		if (array_key_exists(110, $enabled_verticals)) $vertical_options .= '<option value="110" label="'.__('Tax Debt', 'dcom_bib').'">Tax Debt</option>';
		if (array_key_exists(111, $enabled_verticals)) $vertical_options .= '<option value="111" label="'.__('Collector Harassment', 'dcom_bib').'">Collector Harassment</option>';
		if (array_key_exists(115, $enabled_verticals)) $vertical_options .= '<option value="115" label="'.__('Bankruptcy', 'dcom_bib').'">Bankruptcy</option>';

		$hidden_s2 = (array_key_exists('s2', $global_subs)) ? $global_subs['s2'] : '';
		$hidden_s3 = (array_key_exists('s3', $global_subs)) ? $global_subs['s3'] : '';
		$hidden_s4 = (array_key_exists('s4', $global_subs)) ? $global_subs['s4'] : '';
		$hidden_s5 = (array_key_exists('s5', $global_subs)) ? $global_subs['s5'] : '';

		$html = <<<EOForm
			<div class="bib-wrapper" {$params}">
				<noscript>
    				<img src="http://api.trustedform.com/ns.gif" />
				</noscript>
				<div class="bib-above-form"></div>
				<div class="bib-form">
					<div id="debtform-app">
						<div class="ng-scope">
							<form role="form" id="vtform" class="vt-form dc_forms" name="formItem" novalidate="" autocomplete="off">
								<input type="hidden" name="aid" class="aid" value="1886">
								<input type="hidden" name="pid" class="pid" value="">
								<input type="hidden" name="ip_address" class="ip-address" value="">
								<input type="hidden" class="s2" name="ckm_subid_2" value="{$hidden_s2}">
								<input type="hidden" class="s3" name="ckm_subid_3" value="{$hidden_s3}">
								<input type="hidden" class="s4" name="ckm_subid_4" value="{$hidden_s4}">
								<input type="hidden" class="s5" name="ckm_subid_5" value="{$hidden_s5}">
                <input type="hidden" name="source" value="getoutofdebt.org">
								<input type="hidden" name="opt_in" value="1">
								<input type="hidden" name="apikey" value="jkjZJOwDi3ckH2CrJSGu5ymzfF5vX9gA">
								<div class="vt-form-group ng-hide" data-value="vm.showHeaderText" class="div-lead">
									<p class="lead">Last step, fill out the information below or call us for Priority Assistance.</p>
								</div>
								<div class="vt-form-group step1" data-value="vm.showStep1"> <label for="vt-form-debt-type">What may we help you with?</label> <select id="debt_type" class="vt-form-control valid vid" name="vid" data-var-name="vid-pid" autocomplete="off" aria-invalid="false">{$vertical_options}</select></div>
								<div
								class="step2" data-value="vm.showStep2">
EOForm;
		if (sizeof(array_intersect(array_keys($enabled_verticals), array(106,109,110,115))) > 0) $html .= <<<EOForm
								<div class="vt-form-group ng-hide" data-value="106|109|110|115"> <label for="vt-form-debt-owe">How much do you owe?</label> <select id="vt-form-debt-owe" class="vt-form-control" data-var-name="debtFieldName" name="debtamount" required="required" aria-required="true"><option value="-1" disabled="" class="" selected="selected">Select...</option><option label="$1,000 - $5,000" value="2500">$1,000 - $5,000</option><option label="$5,000 - $8,000" value="6500">$5,000 - $8,000</option><option label="$8,000 - $10,000" value="9000">$8,000 - $10,000</option><option label="$10,000 - $15,000" value="12500">$10,000 - $15,000</option><option label="$15,000 - $20,000" value="16500">$15,000 - $20,000</option><option label="$20,000 - $30,000" value="25000">$20,000 - $30,000</option><option label="$30,000 - $40,000" value="35000">$30,000 - $40,000</option><option label="$40,000 - $50,000" value="45000">$40,000 - $50,000</option><option label="$50,000+" value="50000">$50,000+</option> </select></div>
EOForm;
		if (array_key_exists(106, $enabled_verticals)) $html .= <<<EOForm
								<div
								class="vt-form-group ng-hide" data-value="106"> <label for="vt-form-debt-question">What is the status of your payments?</label> <select id="vt-form-debt-question" class="vt-form-control" name="payment_status" data-var-name="payment_status" required="required" aria-required="true"><option value="" disabled="" class="" selected="selected">Select...</option><option label="Current and/or just falling behind" value="Current">Current and/or just falling behind</option><option label="Behind Less than 6 months" value="Behind">Behind Less than 6 months</option><option label="More than 6 months behind" value="Collections">More than 6 months behind</option> </select></div>
EOForm;
		if (array_key_exists(109, $enabled_verticals)) $html .= <<<EOForm
								<div
								class="vt-form-group ng-hide" data-value="109"> <label for="student_loan_types">What type of student loans do you have?</label> <select id="student_loan_types" class="vt-form-control" name="student_loan_types" data-var-name="student_loan_types" required="required" aria-required="true"><option value="" disabled="" class="" selected="selected">Select...</option><option label="Federal" value="Federal">Federal</option><option label="Private" value="Private">Private</option><option label="Both" value="Both">Both</option><option label="Uncertain - I just need help" value="Uncertain">Uncertain - I just need help</option> </select></div>
								<div
								class="vt-form-group ng-hide" data-value="109"> <label for="student_loan_status">What is the status of your loans?</label> <select id="student_loan_status" class="vt-form-control" name="student_loan_status" data-var-name="student_loan_status" required="required" aria-required="true"><option value="" disabled="" class="" selected="selected">Select...</option><option label="Current" value="Current">Current</option><option label="Deferred" value="Deferred">Deferred</option><option label="I'm behind less than 6 months" value="Behind less 6 months">I'm behind less than 6 months</option><option label="I'm behind more than 6 months " value="Behind more 6 months">I'm behind more than 6 months</option> </select></div>
EOForm;
		if (array_key_exists(110, $enabled_verticals)) $html .= <<<EOForm
								<div
								class="vt-form-group ng-hide" data-value="110"> <label for="tax_debt_type">What type of tax debt do you have?</label> <select id="tax_debt_type" class="vt-form-control" name="tax_debt_type" data-var-name="tax_debt_type" required="required" aria-required="true"><option value="" disabled="" class="" selected="selected">Select...</option><option label="State" value="State">State</option><option label="Federal" value="Federal">Federal</option><option label="Both" value="Both">Both</option> </select></div>
								<div
								class="vt-form-group ng-hide" data-value="110"> <label for="tax_debt_years">How many years have you owed taxes?</label> <select id="tax_debt_years" class="vt-form-control" name="tax_debt_years" data-var-name="tax_debt_years" required="required" aria-required="true"><option value="" disabled="" class="" selected="selected">Select...</option><option label="1 year (less than two years)" value="1">1 year (less than two years)</option><option label="2 - 3 years" value="2">2 - 3 years</option><option label="3 - 4 years" value="s3">3 - 4 years</option><option label="4 or more years" value="4+">4 or more years</option> </select></div>
								<div
								class="vt-form-group ng-hide" data-value="110"> <label for="tax_irs_enrolled">Are you currently enrolled in a payment program with the IRS?</label> <select class="vt-form-control" id="tax_irs_enrolled" name="tax_irs_enrolled" data-var-name="tax_irs_enrolled" required="required" aria-required="true"><option value="" disabled="" selected="selected">Select...</option><option value="0">No</option><option value="1">Yes</option> </select></div>
EOForm;
		if (array_key_exists(108, $enabled_verticals)) $html .= <<<EOForm
								<div
								class="vt-form-group ng-hide" data-value="108">
									<p>What problems are you having with your report?</p>
									<div class="checkboxContainer">
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="cr_late_payments" type="checkbox"> Late Payments </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="cr_bankruptcy" type="checkbox"> Bankruptcy </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="cr_charge_off" type="checkbox"> Charge offs </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="cr_not_your_debt" type="checkbox"> Debts that are not yours </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="cr_collections" type="checkbox"> Collections </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="cr_errors" type="checkbox"> Errors on your credit report </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="cr_other" type="checkbox"> Other </label></div>
									</div>
								</div>
EOForm;
		if (array_key_exists(115, $enabled_verticals)) $html .= <<<EOForm
								<div class="vt-form-group ng-hide" data-value="115">
									<p>Are you facing any of the following?</p>
									<div class="checkboxContainer">
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="facing_any_garnishment" type="checkbox"> Garnishments </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="facing_any_lawsuit" type="checkbox"> Lawsuit </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="facing_any_divorce" type="checkbox"> Divorce </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="facing_any_repo" type="checkbox"> Repossessions </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="facing_any_illness" type="checkbox"> Illness/Disability </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="facing_any_job_loss" type="checkbox"> Job Loss </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="facing_any_forclosure" type="checkbox"> Foreclosure </label></div>
									</div>
								</div>
EOForm;
		if (array_key_exists(111, $enabled_verticals)) $html .= <<<EOForm
								<div class="vt-form-group ng-hide" data-value="111">
									<p>What types of debts do you have in collections?</p>
									<div class="checkboxContainer">
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_credit_card" type="checkbox"> Credit Card </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_tax" type="checkbox"> Tax </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_mortgage" type="checkbox"> Mortgage </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_student_loan" type="checkbox"> Student Loan </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_medical" type="checkbox"> Medical </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_payday_loan" type="checkbox"> Payday Loan </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_repo" type="checkbox"> Repossessions </label></div>
										<div class="checkbox"> <label class="checkbox"> <input data-var-name="collections_judgement" type="checkbox"> Judgement </label></div>
									</div>
								</div>
								<div class="vt-form-group ng-hide" data-value="111"> <label for="debt_collection_company">Debt Collection Company Name</label> <input class="vt-form-control" id="debt_collection_company" data-var-name="debt_collection_company" type="text"></div>
								<div class="vt-form-group ng-hide" data-value="111"> <label for="debt_what_happened">Tell us what happened:</label><textarea class="vt-form-control" id="debt_what_happened" data-var-name="tell_us_what_happened" rows="3"></textarea></div>
								</div>
EOForm;
		$html .= <<<EOForm
								</div>
								<div class="row clientInfo ng-hide" data-value="vm.showStep3">
								<div class="col-md-6">
								<div class="vt-form-group"> <label for="first_name" class="sr-only">first_name</label> <input id="first_name" name="first_name" data-var-name="first_name" class="vt-form-control" placeholder="First Name" required="" type="text" minlength="2" data-ng-pattern="/^[A-Za-z]+$/"
								    maxlength="50" aria-required="true">
								<div class="has-error ng-hide"> <small class="has-error">Your first name is required.</small> <small class="has-error ng-hide">Your first name is required to be at least 2 characters.</small> <small class="has-error ng-hide">Your first name cannot be longer than 50 characters.</small></div>
								</div>
								</div>
								<div class="col-md-6">
								<div class="vt-form-group"> <label for="last_name" class="sr-only">last_name</label> <input id="last_name" name="last_name" data-var-name="last_name" class="vt-form-control" placeholder="Last Name" required="" type="text" minlength="2" aria-required="true">
								<div
								    class="has-error ng-hide"> <small class="has-error">Your last name is required.</small> <small class="has-error ng-hide">Your last name is required to be at least 2 characters.</small> <small class="has-error ng-hide">Your last name cannot be longer than 50 characters.</small></div>
								</div>
								</div>
								<div class="clearfix"></div>
								<div class="col-md-6">
								<div class="vt-form-group"> <label for="email" class="sr-only">email</label> <input id="email" name="email" data-var-name="email" class="vt-form-control" placeholder="Email Address" required="" type="email" aria-required="true">
								<div class="has-error ng-hide">
								<small class="has-error">Your email is required.</small></div>
								</div>
								</div>
								<div class="col-md-6">
								<div class="vt-form-group"> <label for="primary_phone" class="sr-only">primary_phone</label> <input id="primary_phone" name="primary_phone" data-var-name="primary_phone" class="vt-form-control phone" data-mask="(999) 999-9999" data-pattern="^(\+1)?1?[ \-\.]*\(?([2-9][0-8][0-9])\)?[ \-\.]*([2-9][0-9]{2})[ \-\.]*([0-9]{4})$"
								placeholder="Phone Number" required="" type="tel" maxlength="14" autocomplete="off" aria-required="true">
								<div class="has-error ng-hide"> <small class="has-error">Your phone is required.</small> <small class="has-error ng-hide">Your 10 digit phone number is required.</small></div>
								</div>
								</div>
								<div class="col-md-6">
								<div class="vt-form-group"> <label for="state" class="sr-only">state</label> <select name="state" id="state" data-var-name="state" class="vt-form-control" required="" aria-required="true"><option value="" disabled="" class="" selected="selected">Select a state</option><option label="AL" value="AL">AL</option><option label="AK" value="AK">AK</option><option label="AZ" value="AZ">AZ</option><option label="AR" value="AR">AR</option><option label="CA" value="CA">CA</option><option label="CO" value="CO">CO</option><option label="CT" value="CT">CT</option><option label="DE" value="DE">DE</option><option label="DC" value="DC">DC</option><option label="FL" value="FL">FL</option><option label="GA" value="GA">GA</option><option label="HI" value="HI">HI</option><option label="ID" value="ID">ID</option><option label="IL" value="IL">IL</option><option label="IN" value="IN">IN</option><option label="IA" value="IA">IA</option><option label="KS" value="KS">KS</option><option label="KY" value="KY">KY</option><option label="LA" value="LA">LA</option><option label="ME" value="ME">ME</option><option label="MD" value="MD">MD</option><option label="MA" value="MA">MA</option><option label="MI" value="MI">MI</option><option label="MN" value="MN">MN</option><option label="MS" value="MS">MS</option><option label="MO" value="MO">MO</option><option label="MT" value="MT">MT</option><option label="NE" value="NE">NE</option><option label="NV" value="NV">NV</option><option label="NH" value="NH">NH</option><option label="NJ" value="NJ">NJ</option><option label="NM" value="NM">NM</option><option label="NY" value="NY">NY</option><option label="NC" value="NC">NC</option><option label="ND" value="ND">ND</option><option label="OH" value="OH">OH</option><option label="OK" value="OK">OK</option><option label="OR" value="OR">OR</option><option label="PA" value="PA">PA</option><option label="RI" value="RI">RI</option><option label="SC" value="SC">SC</option><option label="SD" value="SD">SD</option><option label="TN" value="TN">TN</option><option label="TX" value="TX">TX</option><option label="UT" value="UT">UT</option><option label="VT" value="VT">VT</option><option label="VA" value="VA">VA</option><option label="WA" value="WA">WA</option><option label="WV" value="WV">WV</option><option label="WI" value="WI">WI</option><option label="WY" value="WY">WY</option> </select>
								<div
								class="has-error ng-hide"> <small class="has-error">Your state is required.</small></div>
								</div>
								</div>
								<div class="col-md-6">
								<div class="vt-form-group" id="age-div"> <label for="age" class="sr-only">age</label> <input id="age" name="age" data-var-name="age" class="vt-form-control" mask="99" min="18" max="99" placeholder="Age" required="" type="number" aria-required="true">
								<div class="has-error ng-hide"> <small class="has-error">Your age is required.</small> <small class="has-error ng-hide" style="display: none;">Your age must be between 18 and 99.</small> <small class="has-error ng-hide">Your age must be greater than 18.</small>                            <small class="has-error ng-hide">Your age must be less than 100.</small></div>
								</div>
								</div>
								<div class="col-12">
								<div class="vt-form-check"> <label class="form-check-label"> <input name="terms" class="form-check-input" type="checkbox" value="" required="" aria-required="true"> I agree to the terms below. </label></div>
								</div>
								</div>
								<div class="bib-button-wrap" style="display: block;"> <button class="btn btn-primary vt-bib-button-1">Get Help</button> <button class="ng-hide btn btn-primary vt-bib-button-2" disabled="disabled">Contact Me<span class="ng-hide">&nbsp;<img src="https://www.debt.com/ang/images/ajax-loader.gif" alt="ajax loader"></span></button></div>
								<div
								class="form-disclaimer ng-hide" id="form-disclaimer"><br>
									<div class="vt-form-group ng-hide">
										<p class="general-disclaimer">By clicking on the "Contact Me" button above, you consent, acknowledge, and agree to the following: Our <a class="vt-dcom-terms" href="https://www.debt.com/terms-conditions/" target="_blank">Terms of Use</a> and <a class="vt-dcom-privacy" href="https://www.debt.com/privacy-policy/"
										        target="_blank">Privacy Policy</a> and to receive electronic communications. We take your privacy seriously. That you are providing express "written" consent for Debt.com or appropriate <a class="vt-dcom-partners" href="https://www.debt.com/privacy-policy/partners/"
										        target="_blank">service provider(s)</a> to call you (including through automated means; e.g. autodialing, text and pre-recorded messaging) via telephone, mobile device (including SMS and MMS - charges may apply), even if
										    your telephone number is currently listed on any internal, corporate, state or federal Do-Not-Call list. Consent is not required as a condition to utilize Debt.com services and you are under no obligation to purchase anything.</p>
										<p
										    class="credit-correction-disclaimer">By clicking on the “Contact me” button above, you consent, acknowledge, and agree to the following: (1)That you are providing express “written” consent for Lexington Law Firm, Debt.com or appropriate <a class="vt-dcom-partners" href="https://www.debt.com/privacy-policy/partners/"
										        target="_blank">service provider(s)</a> to call you (including through automated means; e.g. autodialing, text and pre-recorded messaging) via telephone, mobile device (including SMS and MMS – charges may apply), or dialed
										    manually, at my residential or cellular number, even if your telephone number is currently listed on any internal, corporate, state or federal Do-Not-Call list; and (2)Lexington Law’s <a href="https://www.lexingtonlaw.com/info/privacy-policy"
										        target="_blank">Privacy Policy</a> and <a href="https://www.lexingtonlaw.com/info/terms" target="_blank">Terms of Use</a> and Debt.com’s <a class="vt-dcom-terms" href="https://www.debt.com/terms-conditions/" target="_blank">Terms of Use</a> and <a class="vt-dcom-privacy" href="https://www.debt.com/privacy-policy/"
										        target="_blank">Privacy Policy</a>. Consent is not required as a condition to utilize Lexington Law or Debt.com services and you are under no obligation to purchase anything.</p>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
				<div class="bib-after-form"></div>
			</div>
EOForm;
/*
		wp_enqueue_script('angular');
		wp_enqueue_script('ngMask');
*/
		wp_enqueue_script('retreaver-phone-swap');
		wp_enqueue_script('bib-form');


		return $html;
	}

	add_shortcode('lead_form', 'dcom_draw_bib_form');
	function dcom_draw_bib_form($atts, $content = '', $shortcode_name) {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$permitted_attributes = array(
			'before' => '',
			'after' => '',
			'configuration' => '',
			'sub1' => '',
			'sub2' => '',
			'sub3' => ''
		);
		$atts = shortcode_atts($permitted_attributes, $atts, $shortcode_name);


		// If you put content inside of the Short Code, place it in noscript tags
		$noscript = empty($content) ? '' : "<noscript>$content</noscript>";

		// If there is no configuration URL set (either default of overridden), then display the $content OR a "No Form Configuration" Message
		// If configuration URL is set, get the form
		// This is the normal case, we have a form to draw

		// Convert sub1/sub2/sub3 into s3/s4/s5
		$sub2s_mapping = array('sub1' => 's3', 'sub2' => 's4', 'sub3' => 's5');

		$s_values = array('s2' => 'BIBShortCode');
		foreach($sub2s_mapping AS $sub_id => $s_id) {
			if (array_key_exists($sub_id, $atts) && !empty($atts[$sub_id])) {
				$s_values[$s_id] = $atts[$sub_id];
			}
		}
		$html = dcom_get_bib_form($atts['configuration'], $s_values) . $noscript; // Pass the Optional Values in for drawing in form
		// Wrap in before/after
		return $atts['before'] . $html . $atts['after'];
	}

	add_action('wp_enqueue_scripts', 'dcom_bib_register_elements');
	function dcom_bib_register_elements() {
		wp_register_script('angular', plugins_url('js/angular.min.js', __DIR__), array('jquery'), '1.5.8', true );
		wp_register_script('ngMask', plugins_url('js/ngMask.min.js', __DIR__), array('jquery', 'angular'), '3.1.1', true );
		wp_register_script('retreaver-phone-swap', plugins_url('js/retreaverPhoneSwap.min.js', __DIR__), array(), '4.0.0');
		wp_register_script('jquery-validate', plugins_url('js/jquery.validate.min.js', __DIR__), array('jquery'), '1.17.0');
		wp_register_script('bib-form', plugins_url('js/bib_form.min.js', __DIR__), array('jquery', 'jquery-validate', 'retreaver-phone-swap'), '4.1.0', true );
		wp_register_style('bib-form', plugins_url('css/bib.min.css', __DIR__), array(), '4.0.0');
	}

	if (!function_exists('dcom_bib_enqueue_styles')) {
		add_action('wp_enqueue_scripts', 'dcom_bib_enqueue_styles', 20);
		function dcom_bib_enqueue_styles() {
			// Run at 20, you can prevent loaded by de-registering it at priorities 11-19
			wp_enqueue_style('bib-form');
		}
	}
