<?php
	function dcom_get_bib_phone($configuration_url = '', $error_message = '') {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$bib_global = get_option($prefix.'configuration');
		if (!is_array($bib_global)) { $bib_global = array(); }
		
		// If we don't override configuration url, use default
		if (empty($configuration_url)) {
			$bib_global = get_option($prefix.'configuration');
			if (is_array($bib_global) && array_key_exists($prefix.'configuration_url', $bib_global)) {
				$configuration_url = $bib_global[$prefix.'configuration_url'];
			}
		}
		// Assuming we have a configuration url, we can generate a form
		if (empty($configuration_url)) {
			$html  = "<p>";
			$html .=(empty($error_message)) ? __("No Configuration URL specified.  Configure in Debt.com BIB Panel", 'dcom_bib') : $error_message;
			$html .= "</p>";
		} else {
			$html = '<div class="bib-phone" data-configuration="'.$configuration_url.'"></div>'."\n";
			wp_enqueue_script('retreaver-phone-swap');
			wp_enqueue_script('bib-phone');
		}
		return $html;
	}

	add_action('plugins_loaded', 'dcom_draw_bib_phone_shortcode', 30);
	function dcom_draw_bib_phone_shortcode() {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$bib_configuration = get_option($prefix.'configuration');
		if (is_array($bib_configuration) && array_key_exists($prefix.'configuration_url', $bib_configuration) && !empty($bib_configuration[$prefix.'configuration_url'])) {	
			add_shortcode('lead_phone', 'dcom_draw_bib_phone');
		}
	}

	
	function dcom_draw_bib_phone($atts, $content = '', $shortcode_name) {
		$prefix = '_dcom_bib_'; // Metabox Prefix
		$permitted_attributes = array(
			'before' => '',
			'after' => '',
			'configuration' => ''
		);
		$atts = shortcode_atts($permitted_attributes, $atts, $shortcode_name);
		$noscript = empty($content) ? '' : "<noscript>$content</noscript>";
		$html = dcom_get_bib_phone($atts['configuration'], $content) . $noscript;
		return $atts['before'] . $html . $atts['after'];
	}

	add_action('wp_enqueue_scripts', 'dcom_bib_register_phone_func');
	function dcom_bib_register_phone_func() {
		wp_register_script('retreaver-phone-swap', plugins_url('js/retreaverPhoneSwap.js', __DIR__), array(), '4.0.0');
		wp_register_script('bib-phone', plugins_url('js/bib_phone.min.js', __DIR__), array('retreaver-phone-swap'), '4.0.0');
		wp_register_style('bib-form', plugins_url('css/bib.min.css', __DIR__), array(), '2.0.0');
	}

	add_action('wp_enqueue_scripts', 'dcom_bib_enqueue_phone_styles', 20);
	function dcom_bib_enqueue_phone_styles() {
		// Run at 20, you can prevent loaded by de-registering it at priorities 11-19
		wp_enqueue_style('bib-form');
	}
