﻿/***************************************************************
 * Business in a Box Angular form
 *
 * Mandatory change of variable "version" if this code is modified
 * Initial copied from biabconsumercompressedform.js #7738  1.0.0
 * Modified - Added the bibCssUrl reference back to the code from biabconsumercompressedform.js #???? 1.0.1
 * Modified - Added the bibCssUrl reference back to the code from biabconsumercompressedform.js #7866 1.0.2 (inherit from 1.0.1)
 *            Moved getClientIpAddress()and getCampaignInfo() to PostForm()
 * Taken from ang_externalconsumer.js, v2.0.0, modified to run cleanly in a Wordpress Environment
 * v4.1.0 Changes:
    Debt Owed Name field mapped on change
 * v4.0.0 Changes:
    Rewritten to use HTML5 form
 * v3.0.0 Changes:
 *  New compliance code
 * v2.3.0 Changes:
 *  jQuery Selector uses form name
 * v2.1.x Changes:
 *  Various CDN/URL updates
 * v2.00 changes:
 *  variables moved inside function wrap.
 *  baseUrl removes the /js/ from the plugin
 *  support libraries are enqueued in Wordpress, NOT called inside Javascript
 *  configuration is nolonger called in a script tag, it's passed as a data-configuration attribute and called within BIB
 *  document.write is removed, and bib-wrapper is built in PHP, with S-values included in the BIB form
 *  All Div's with class bib-wrapper are called
 *
 ***************************************************************/
/*
(function() {
    var field = 'xxTrustedFormCertUrl';
    var provideReferrer = true;
    var tf = document.createElement('script');
    tf.type = 'application/javascript'; tf.async = true;
    tf.src = 'http' + ('https:' == document.location.protocol ? 's' : '') +
    '://api.trustedform.com/trustedform.js?provide_referrer=' + escape(provideReferrer) + '&field=' + escape(field) + '&l='+new Date().getTime()+Math.random();
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(tf, s); }
)();
*/
(function () {
    'use strict';
    /* mandatory change of version if this code is modified */
    var version = "4.1.0";
    /* Set for use on internal resources */
    /* determines the path relative to the current code's location on a server */
    var currentScriptNameMinified = 'bib_form.min.js?ver='+version;
    var currentScriptName = 'bib_form.js?ver='+version;
    var thisScript = document.querySelector("script[src$='" + currentScriptNameMinified + "']");
    if (thisScript === null)
        thisScript = document.querySelector("script[src$='" + currentScriptName + "']");
    if (thisScript)
        var currentScriptPath = thisScript.src;
    var baseUrl = function(src){ var src2 = src.substring(0, src.lastIndexOf('/')); return src.substring(0, src2.lastIndexOf('/') + 1); }(currentScriptPath);

    /* Constants for Submission, modify for Dev/QA Environemnts */
    //var urlLeadApi = "https://leadapi.debt.com/createlead.aspx";
    //var GetStateUrl = "https://geolocation.vtgr.net/get/";

    /* must determine if this is running in a Safari browser */
    var isSafari = navigator.vendor && navigator.vendor.indexOf('Apple') > -1 && navigator.userAgent && !navigator.userAgent.match('CriOS');

    /*  Source is a variable on the index.cshtml page code */
    var _pagesource = "";
    if ((typeof Source !== 'undefined') && (Source)) {
        _pagesource = Source;
    } else {
        _pagesource = window.location.protocol + "//" + window.location.hostname + window.location.pathname;
    }
    _pagesource = _pagesource + "-" + currentScriptName + version;

    var bibWrappers = document.getElementsByClassName('bib-wrapper');
    for (var i = 0; i < bibWrappers.length; i++) {
        var bibWrapper = bibWrappers[i];
        if (bibWrapper.getAttribute("data-configuration")) {
           loadAScript(bibWrapper.getAttribute("data-configuration"), loadBibForm, bibWrapper);
        }
    };

    function loadAScript(url, callback, node) {
        var script = document.createElement("script")
        script.type = "text/javascript";

        if (script.readyState) {  /* IE */
            script.onreadystatechange = function () {
                if (script.readyState == "loaded" ||
                        script.readyState == "complete") {
                    script.onreadystatechange = null;
                    callback(node);
                }
            };
        } else {  /* Others */
            script.onload = function () {
                callback(node);
            };
        }

        script.src = url;
        document.body.appendChild(script);
    }


    function loadBibForm(bibWrapper) {
        /* Setup tracking info, start the process to get the number.  If Retreaver runs before this finishes, that's okay */
        setupSValues();
        retreaverPhoneSwap();

        var aidInput = bibWrapper.getElementsByClassName("aid");
        if ((aidInput.length > 0) && (typeof aid !== 'undefined')) {
            aidInput[0].value = aid;
        }

        var default_pids = { 106: 95124, 109: 95125, 110: 95126, 108: 95127, 115: 95117, 111: 95118 };
        if (typeof pids === 'undefined') {
            pids = default_pids;
        } else {
            for (var vid in default_pids) {
                if (default_pids.hasOwnProperty(vid) && !pids.hasOwnProperty(vid)) {
                    pids[vid] = default_pids[vid];
                }
            }
        }


        if (typeof serviceProviderUrl !== 'undefined') {
            var privacySpans = bibWrapper.getElementsByClassName("vt-dcom-privacy");
            for (var i = 0; i < privacySpans.length; i++) {
                privacySpans[i].setAttribute("href", serviceProviderUrl);
            }
            var privacyParnerSpans = bibWrapper.getElementsByClassName("vt-dcom-partners");
            for (var i = 0; i < privacyParnerSpans.length; i++) {
                privacyParnerSpans[i].setAttribute("href", serviceProviderUrl+'partners/');
            }
        }
        if (typeof termsUrl !== 'undefined') {
            var termsSpans = bibWrapper.getElementsByClassName("vt-dcom-terms");
            for (var i = 0; i < termsSpans.length; i++) {
                termsSpans[i].setAttribute("href", termsUrl);
            }
        }

        buildBibHeader(bibWrapper);
        updateBibFormSValues(bibWrapper);
        buildBibFooter(bibWrapper);
        loadBibFormFunctions(bibWrapper);

        function buildBibHeader(bibWrapper) {
            var formTop = bibWrapper.getElementsByClassName("bib-above-form")[0];
            if (("topImageUrl" in window) && (typeof topImageUrl != undefined)) {
                var topImage = document.createElement("img");
                topImage.setAttribute("alt", "Debt.com Solution Center");
                topImage.setAttribute("src", topImageUrl);
                if (("topImageHeight" in window) && (typeof topImageHeight != undefined)) { topImage.setAttribute("height", topImageHeight); }
                if (("topImageWidth" in window) && (typeof topImageWidth != undefined)) { topImage.setAttribute("width", topImageWidth); }

                var topImageDiv = document.createElement("div");
                topImageDiv.setAttribute("class", "vt-top-image");
                topImageDiv.appendChild(topImage);
                formTop.appendChild(topImageDiv);
            }
            if (("phone_number" in window) && (typeof phone_number == "string")) {
                var phone_number_url = (("phoneNumber" in window) && (typeof phoneNumber !== 'undefined')) ? 'tel:'+phoneNumber.get("number") :'tel:+' + phone_number.replace(/\D/g, '');
                var phone_number_text = (("phoneNumber" in window) && (typeof phoneNumber !== 'undefined')) ? phoneNumber.get("formatted_number") : phone_number;

                /* Build the phone number component and add it */
                var phoneNumberSpan = document.createElement("span");
                phoneNumberSpan.setAttribute("class", "tracking-phone");
                var phoneNumberText = document.createTextNode(phone_number_text);
                phoneNumberSpan.appendChild(phoneNumberText);
                var phone_number_anchor = document.createElement("a");
                phone_number_anchor.setAttribute("href", phone_number_url);
                phone_number_anchor.appendChild(phoneNumberSpan);
                phone_number_anchor.setAttribute("class", "tracking-phone-click");
                var phone_number_wrap = document.createElement("div");
                phone_number_wrap.setAttribute("class", "vt-phone-number");
                phone_number_wrap.appendChild(phone_number_anchor);
                formTop.appendChild(phone_number_wrap);
            }
        }

        function buildBibFooter(bibWrapper) {
            var formBottom = bibWrapper.getElementsByClassName("bib-after-form")[0];
            /* Add the bottom logo */
            /* Inner Element: Image */
            if (typeof logoLink !== 'undefined') {
                var bottomLogoImg = document.createElement("img");
                bottomLogoImg.setAttribute("src", baseUrl + "images/powered-by-debt-com.png");
                bottomLogoImg.setAttribute("alt", "Powered by Debt.com");
                /* Link to the Image */
                var bottomLogoLink = document.createElement("a");
                bottomLogoLink.setAttribute("target", "_top");
                bottomLogoLink.setAttribute("href", logoLink);
                bottomLogoLink.appendChild(bottomLogoImg);
                /* Wrap in the logo div and add to dom */
                var bottomLogo = document.createElement("div");
                bottomLogo.setAttribute("class", "vt-logo");
                bottomLogo.appendChild(bottomLogoLink);
                formBottom.appendChild(bottomLogo);
            }
        }

        function updateBibFormSValues(bibWrapper) {
            if ("s2" in window.sValues) {
                var s_input = bibWrapper.getElementsByClassName("s2");
                if (s_input.length > 0) { s_input[0].value = window.sValues["s2"]; }
            }
            if ("s3" in window.sValues) {
                var s_input = bibWrapper.getElementsByClassName("s3");
                if (s_input.length > 0) { s_input[0].value = window.sValues["s3"]; }
            }
            if ("s4" in window.sValues) {
                var s_input = bibWrapper.getElementsByClassName("s4");
                if (s_input.length > 0) { s_input[0].value = window.sValues["s4"]; }
            }
            if ("s5" in window.sValues) {
                var s_input = bibWrapper.getElementsByClassName("s5");
                if (s_input.length > 0) { s_input[0].value = window.sValues["s5"]; }
            }
        }

        function loadBibFormFunctions(bibWrapper) {
            /* Here needs to go the code that makes the form work */
            if (defaultVid !== 'undefined') {
                var vid = jQuery(bibWrapper.getElementsByClassName("vid")[0]);
                vid.val(defaultVid).change();
            }
        }
    }

}());

jQuery(document).ready(function($){

  $("#vtform").validate();

    /* UI Preparation */
    $('.ng-hide').hide();
    $(".vt-bib-button-1").hide();
    $(".vt-bib-button-2").hide();
    $(".vid").change(function(){
        var value_select=$(this).val();
        var debtamountfield = $("#vt-form-debt-owe");
        switch (value_select) {
            case "106":
                debtamountfield.attr("name", "cc_debt_amount");
                break;
            case "109":
                debtamountfield.attr("name", "slc_debt_amount");
                break;
            case "110":
                debtamountfield.attr("name", "tax_debt_amount");
                break;
            default:
                debtamountfield.attr("name", "debtamount");
        }
        $(".pid").val(pids[value_select]);
        $(".bib-button-wrap").show();
        $(".vt-bib-button-1").show();
        $(".vt-bib-button-2").hide();
        $(".step2").show();
        $(".step2 .vt-form-group").each(function(){
            //if($(this).attr("data-value")==value_select)
            if($(this).attr("data-value").indexOf(value_select)!=-1)
                $(this).show();
            else
                $(this).hide();
        });
    });


    /*----------- Prevent Submit -------------------*/
    $( "#vtform" ).submit(function( event ) {
        event.preventDefault();
        var needs_ip = false;
        $('input.ip-address').each(function() { needs_ip = needs_ip || ('' == $(this).val()); })
        if (needs_ip) {
            $.getJSON('https://api.ipify.org?format=jsonp&callback=?', function(json) { $('input.ip-address').val(json.ip); })
        }
        /* if($(document.activeElement).attr('id')=='vt-bib-button-1'){ */
        if($(document.activeElement).hasClass('vt-bib-button-1')) {
            //$(".clientInfo").show();
            $(".clientInfo").css("display","block");
            $(".vt-bib-button-2").show().removeAttr('disabled');
            $(".bib-form .vt-form-group").hide();
            $(".vt-bib-button-1").hide();
            $(".div-lead").show();
            $(".form-disclaimer").show();
            $(".form-disclaimer .vt-form-group").each(function(){
                $(this).show();
                if ($('select[name=vid]').val()!=108){
                    $(this).find(".general-disclaimer").show();
                    $(this).find(".credit-correction-disclaimer").hide();
                } else {
                    $(this).find(".general-disclaimer").hide();
                    $(this).find(".credit-correction-disclaimer").show();
                }
            });
            $(".clientInfo .vt-form-group").each(function(){
                $(this).show();
            });
            return false;
        /* } else if($(document.activeElement).attr('id')=='vt-bib-button-2') { */
        } else if($(document.activeElement).hasClass('vt-bib-button-2')) {
            /* alert('Form should submit now.'); */
            window.dataLayer = window.dataLayer || [];
            var form = $(this);
            var leadData = form.serialize();
            /* We use different JavaScript variables for settings parameters instead of the ones used internally, to allow defaults */
            var thankYouURL = ("thankYou" in window) ? thankYou : 'https://www.debt.com/solutions/bib-thank-you';
            var thankYouURL_Unsold = ("thankYou_unsold" in window) ? thankYou_unsold : thankYouURL;


            function showThankYou(url) {
                jQuery(".bib-form").remove();

                var thankyoupage = document.createElement("iframe");
                thankyoupage.setAttribute("class", "bib-thank-you");
                thankyoupage.setAttribute("src", url);
                thankyoupage.setAttribute("security", "restricted");
                thankyoupage.setAttribute("sandbox", "allow-scripts allow-same-origin");
                //document.getElementById("bib-wrapper").appendChild(thankyoupage);
                var bibwrappers = document.getElementsByClassName("bib-wrapper");
                bibwrappers[0].appendChild(thankyoupage);
                //jQuery("#bib-wrapper").innerHTML(thankyoupage);
                //bibWrapper.appendChild(thankyoupage);
            }

            $.ajax({
                url: "https://leadapi.debt.com/createlead.aspx",
                dataType: 'jsonp',
                data: leadData,
                success: function success(res) {
                    var response = JSON.parse(res);
                    var debt_amount = $('#vt-form-debt-owe').val();
                    if (response.Status) {
                        dataLayer.push({'event': 'LandingPageSubmissionSuccess', 'frm.status': response.Status, 'frm.offer_id': 686, 'frm.vertical': 'Debt Settlement', 'frm.debt_amount': debt_amount});
                        if (response.Status && response.Status == 'Success') {
                            showThankYou(thankYou);
                        } else if (response.Status) {
                            showThankYou(thankYouURL_Unsold);
                        }
                    } else {
                        showThankYou(thankYouURL_Unsold);
                    }
                },
                error: function error() {
                    dataLayer.push({'event': 'LandingPageSubmissionFailure'});
                    showThankYou(thankYouURL_Unsold);
                }
            });
            return false;
        }
    });
});