/**************************************************************
 * Business in a Phone Form
 * Stripped down to pull configuration data and load
 **************************************************************/
 
(function () {
    'use strict';
    /* mandatory change of version if this code is modified */
    var version = "4.0.0";
	/* determines the path relative to the current code's location on a server */
	var bibPhones = document.getElementsByClassName('bib-phone');
    for (var i = 0; i < bibPhones.length; i++) {
        var bibPhone = bibPhones[i];
        if (bibPhone.getAttribute("data-configuration"))
    		loadAScript(bibPhone.getAttribute("data-configuration"), loadBibPhone, bibPhone);
    };

    function loadBibPhone(bibPhone) {
    	/* Phone is required, no phone, do not show */
        if (("phone_number" in window) && (typeof phone_number == "string")) {
	        if (("topImageUrl" in window) && (typeof topImageUrl !== 'undefined')) {
	            var topImage = document.createElement("img");
	            topImage.setAttribute("alt", "Debt.com Solution Center");
	            topImage.setAttribute("src", topImageUrl);
	            if (("topImageHeight" in window) && (typeof topImageHeight !== 'undefined')) { topImage.setAttribute("height", topImageHeight); }
	            if (("topImageWidth" in window) && (typeof topImageWidth !== 'undefined')) { topImage.setAttribute("width", topImageWidth); }

	            var topImageDiv = document.createElement("div");
	            topImageDiv.setAttribute("class", "vt-top-image");
	            topImageDiv.appendChild(topImage);
	            bibPhone.appendChild(topImageDiv);
	        }
        
            var phone_number_url = (("phoneNumber" in window) && (typeof phoneNumber !== 'undefined')) ? 'tel:'+phoneNumber.get("number") :'tel:+' + phone_number.replace(/\D/g, '');
            var phone_number_text = (("phoneNumber" in window) && (typeof phoneNumber !== 'undefined')) ? phoneNumber.get("formatted_number") : phone_number;
            /* Build the phone number component and add it */
            var phoneNumberSpan = document.createElement("span");
            phoneNumberSpan.setAttribute("class", "tracking-phone");
            var phoneNumberText = document.createTextNode(phone_number_text);
            phoneNumberSpan.appendChild(phoneNumberText);
            var phone_number_anchor = document.createElement("a");
            phone_number_anchor.setAttribute("href", phone_number_url);
            phone_number_anchor.setAttribute("class", "tracking-phone-click");
            phone_number_anchor.appendChild(phoneNumberSpan);
            var phone_number_wrap = document.createElement("div");
            phone_number_wrap.setAttribute("class", "vt-phone-number");
            phone_number_wrap.appendChild(phone_number_anchor);
            bibPhone.appendChild(phone_number_wrap);
        }

        setupSValues();
        retreaverPhoneSwap();
    }
    function loadAScript(url, callback, bibPhone) {
        var script = document.createElement("script")
        script.type = "text/javascript";

        if (script.readyState) {  /* IE */
            script.onreadystatechange = function () {
                if (script.readyState == "loaded" ||
                        script.readyState == "complete") {
                    script.onreadystatechange = null;
                    callback(bibPhone);
                }
            };
        } else {  /* Others */
            script.onload = function () {
                callback(bibPhone);
            };
        }

        script.src = url;
        document.body.appendChild(script);
    }
})();